clang 8.0.0

Classes | Namespaces
VariadicMacroSupport.h File Reference
`#include "clang/Lex/Preprocessor.h"`
`#include "llvm/ADT/SmallVector.h"`
Include dependency graph for VariadicMacroSupport.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::VariadicMacroScopeGuard
| An RAII class that tracks when the Preprocessor starts and stops lexing the definition of a (ISO C/C++) variadic macro. More...
class | clang::VAOptDefinitionContext
| A class for tracking whether we're inside a VA_OPT during a traversal of the tokens of a variadic macro definition. More...
class | clang::VAOptExpansionContext
| A class for tracking whether we're inside a VA_OPT during a traversal of the tokens of a macro during macro expansion. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.